aboutsummaryrefslogtreecommitdiffstats
path: root/run_tests.sh
diff options
context:
space:
mode:
authorkubi <jean.gaoliang@huawei.com>2015-09-15 03:37:14 -0400
committerkubi <jean.gaoliang@huawei.com>2015-09-25 15:32:26 +0800
commit531ac9968cf8703ad7a2c70f45837ce0e81dbec9 (patch)
treeed1a8d5e8bcb1665b49a8521858a1ac6207a5cbf /run_tests.sh
parent735af0fc05d73cbc7bd97b52a230d966cbfec6c3 (diff)
Add functional tests in verify and merge
As Ana said ,"The first functional test should be as simple as a "Hello world", it shall be possible to run the "Hello world" test without using OpenStack." so i just finish functional test framework and do functional test for subcommand "runner"and"scenario" without using Openstack. JIRA:YARDSTICK-103 Change-Id: I673ae61f9922536a685d32ae62e5ad5165472f9d Signed-off-by: kubi <jean.gaoliang@huawei.com>
Diffstat (limited to 'run_tests.sh')
-rwxr-xr-xrun_tests.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/run_tests.sh b/run_tests.sh
index c8d8e7d1a..b4ddc94ce 100755
--- a/run_tests.sh
+++ b/run_tests.sh
@@ -53,6 +53,17 @@ run_tests() {
fi
}
+run_functional_test() {
+
+ mkdir -p .testrepository
+ python -m subunit.run discover tests/functional > .testrepository/subunit.log
+
+ subunit2pyunit < .testrepository/subunit.log
+ EXIT_CODE=$?
+ subunit-stats < .testrepository/subunit.log
+
+ exit $EXIT_CODE
+}
run_flake8
run_tests
-
+run_functional_test